Clang::Type(3pm)

NAME
Clang::Type - Clang type class

VERSION
version 0.09

DESCRIPTION
A "Clang::Type" represents the type of an element in the AST.

METHODS

  declaration( )
Retrieve the Clang::Cursor that points to the declaration of the given type.

  kind( )
Retrieve the Clang::TypeKind of the given type.

  is_const( )
Determine whether the given type has the "const" qualifier.

  is_volatile( )
Determine whether the given type has the "volatile" qualifier.

  is_restrict( )
Determine whether the given type has the "restrict" qualifier.

AUTHOR
Alessandro Ghedini <alexbio@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2012 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.